Get LQA settings
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/lqaSettings \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/lqaSettings"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/lqaSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categories": [
{
"enabled": true,
"errorCategories": "<array>",
"errorCategoryId": 123,
"name": "<string>"
}
],
"enabled": true,
"severities": [
{
"name": "<string>",
"severityId": 123,
"weight": 123
}
]
}Project
Get LQA settings
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
lqaSettings
Get LQA settings
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Query Parameters
Workflow level (1-15)
Required range:
1 <= x <= 15Was this page helpful?
⌘I